*Object VALAMP.SML/6N27P0
*-----------------------------------------------------------------------
.SUBCKT 6N27P0 A G K
*    6N27P Ĩ  Norman Koren's 
* 1 2 3 ; Plate Grid Cathode <=> 1 2 3, A, G, K  ANODE, GRID, CATHODE
* MU=16.3  KG1=350.1  KP=76.28
* KVB=150.0  VCT=0.00 EX=1.3
* U1=URAMP(V(1,3))
* V(7)=U1/KP * LOG(1 + EXP(KP*(1/MU+(V(2,3)+VCT)/SQRT(KVB+U1*U1)))))
* Ic=(PWR(V(7),EX)+PWRS(V(7),EX))/KG1
*-----------------------------------------------------------------------
*
*    ,   CA  GND(0),
*   V(A,K) V=V(A,K)
BCA  CA  0  V=URAMP(V(A,K))
*             URAMP(x) = x, if x > 0; URAMP(x) = 0, if x <=0
*
*    ,   RE  GND(0),
*   V(CA)  V(G,K)
BRE  RE  0  V=(V(CA)/76.28*LOG(1+EXP(76.28*(1/16.3+(V(G,K))/SQRT(V(CA)*V(CA)+150.0)))))
*
*
*    ,   A  K,
*    V(RE)
BAA  A   K  I=(PWR(V(RE),1.3)+PWRS(V(RE),1.3))/350.1
*
* GRID CURRENT
*   (   )
*
BGG  G   K  I=6E-6*(URAMP(V(G,K)+0.2)^1.5)
*
* CAPACITANCES - 
*
CGK G  K  3.0P
CGP G  A  1.3P
CPK A  K  2.0P
.ENDS 6N27P0